Audit Log (Template)
2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getAuditLogSettingForMsp | GET | Get site template audit log notification |
| modifyAuditLogSettingSite | PATCH | Modify site template audit log notification |
getAuditLogSettingForMsp
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/site/audit-notification
Get site template audit log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
json
// omada_call_operation
{
"operationId": "getAuditLogSettingForMsp",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get site template audit log notification.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyAuditLogSettingSite
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/site/audit-notification
Modify site template audit log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema AuditLogNotificationSettingEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | yes | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
auditLogNotifications | array<AuditLogNotificationEditOpenApiVO> | yes | Audit Log Notification List |
json
// omada_call_operation
{
"operationId": "modifyAuditLogSettingSite",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site template audit log notification.
The interface requires one of the permissions:
Global Site Template Manager Modify